
Infrastructure - Task #1910

Story # 1906 (Closed): Review, revise, and update architecture documentation

MNCore.getLogRecords() - NotAuthorized exception may not be needed

2011-10-26 15:58 - Roger Dahl

Status: Rejected Start date: 2011-10-26

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

NotAuthorized is listed as a possible exception raised by getLogRecords() but anyone can call getLogRecords() (though they may

receive an empty Log).

History

#1 - 2011-11-03 20:04 - Dave Vieglais

- Status changed from New to Rejected

NotAuthorized is retained as some Member Nodes may prefer to not allow general access to the operation, and instead restrict to a small set of uses

such as the CN subjects. In this case returning a blank set of results is not an accurate representation of the operation results.

#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog
